Mandrake Linux Security Advisory : freetype2 (MDKSA-2007:081-1)

High Nessus Plugin ID 24947


The remote Mandrake Linux host is missing one or more security updates.


iDefense integer overflows in the way freetype handled various font files. A malicious local user could exploit these issues to potentially execute arbitrary code.

Updated packages have been patched to correct this issue.

Update :

Packages for Mandriva Linux 2007.1 are now available.


Update the affected packages.

Plugin Details

Severity: High

ID: 24947

File Name: mandrake_MDKSA-2007-081.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2007/04/05

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 8.5

Vector: CVSS2#AV:N/AC:M/Au:S/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64freetype6, p-cpe:/a:mandriva:linux:lib64freetype6-devel, p-cpe:/a:mandriva:linux:lib64freetype6-static-devel, p-cpe:/a:mandriva:linux:libfreetype6, p-cpe:/a:mandriva:linux:libfreetype6-devel, p-cpe:/a:mandriva:linux:libfreetype6-static-devel, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2007/04/10

Reference Information

CVE: CVE-2007-1351

MDKSA: 2007:081-1

CWE: 189